View Issue Details

IDProjectCategoryView StatusLast Update
0003337TechDraw[FreeCAD] Featurepublic2018-04-25 09:12
ReporterwandererfanAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003337: Add Arbitrary Dimension
Description[url=https://www.forum.freecadweb.org/viewtopic.php?f=35&t=26559]Forum discussion[/url]

Add the ability to add a Dimension to a View that is linked to geometry (edge,vertex), but uses a user entered value. This could be useful, for example, to apply "radius" dimensions to spline curves.
Tags0.18, TechDraw

Activities

wandererfan

2018-02-04 13:56

developer   ~0010917

This ticket should belong to TechDraw project, not FreeCAD project.

normandc

2018-02-04 23:46

manager   ~0010918

Last edited: 2018-02-04 23:48

View 2 revisions

My impression is that the forum discussion talks more about a callout than an arbitrary dimension. A callout can add any text string. The line and arrow attached to the callout note is called a "leader". Usually there's a break on the line, with a small segment close to the text note and parallel to it; or you can choose not to have a break.

A callout would be very useful to have in TechDraw. (It's similar to Draft Label)

https://en.wikipedia.org/wiki/Callout
https://duckduckgo.com/?q=technical+drawing+callout&t=canonical&iax=images&ia=images

reox

2018-02-26 09:09

reporter   ~0010984

Similar feature could be used for:
* surface roughness: https://en.wikipedia.org/wiki/Surface_roughness
* tolerances: https://en.wikipedia.org/wiki/Geometric_dimensioning_and_tolerancing (see datums and datum references)
* tapers: https://knowledge.autodesk.com/support/autocad-mechanical/learn-explore/caas/CloudHelp/cloudhelp/2015/ENU/AutoCAD-Mechanical/files/GUID-B547792A-346F-40F7-9097-188904F5C3F8-htm.html
* ...

wmayer

2018-04-25 09:12

administrator   ~0011194

https://github.com/FreeCAD/FreeCAD/commit/a40996016f9768668a34d03495bb6aeffe092375

Issue History

Date Modified Username Field Change
2018-02-04 13:47 wandererfan New Issue
2018-02-04 13:47 wandererfan Tag Attached: 0.18
2018-02-04 13:47 wandererfan Tag Attached: TechDraw
2018-02-04 13:56 wandererfan Note Added: 0010917
2018-02-04 13:58 wandererfan Project FreeCAD => TechDraw
2018-02-04 23:46 normandc Note Added: 0010918
2018-02-04 23:48 normandc Note Edited: 0010918 View Revisions
2018-02-26 09:09 reox Note Added: 0010984
2018-04-25 09:12 wmayer Assigned To => wandererfan
2018-04-25 09:12 wmayer Status new => closed
2018-04-25 09:12 wmayer Resolution open => fixed
2018-04-25 09:12 wmayer Fixed in Version => 0.18
2018-04-25 09:12 wmayer Note Added: 0011194